## pcb-rnd 3.0.3

=== doc/Makefile ===
MENU_RES=../src/menu-default.lht
KEYLIST=../util/keylist.sh
DEBLIST=../util/devhelpers/deblist.sh
ROOT=..

all: keys.html user/05_ui/04_common/keytree.svg user/05_ui/04_common/keytree.txt
	ROOT="" ./Autostyle.sh *.html
	./datasheet.sh

include ../Makefile.conf

user/05_ui/04_common/keytree.svg: $(MENU_RES) $(KEYLIST)
	$(KEYLIST) --dot user/05_ui/04_common/src/node_names.txt $(MENU_RES) > user/05_ui/04_common/keytree.dot
	dot -Tsvg < user/05_ui/04_common/keytree.dot >user/05_ui/04_common/keytree.svg

user/05_ui/04_common/keytree.txt: $(MENU_RES) $(KEYLIST)
	$(KEYLIST) --lst $(MENU_RES) > user/05_ui/04_common/keytree.txt


keys.html: $(MENU_RES) $(KEYLIST)
	$(KEYLIST) $(MENU_RES) > keys.html

install_main:
	$(SCCBOX) $(HOW) *.html *.txt TODO $(DOCDIR)/

install:
	$(SCCBOX) mkdir -p "$(DOCDIR)"
	cd man && $(MAKE) install
	cd user && $(MAKE) install
	cd tutorials && $(MAKE) install
	cd security && $(MAKE) install
	cd conf && $(MAKE) install
	cd developer && $(MAKE) install
	$(MAKE) install_main HOW="install -f -d"

linstall:
	cd man && $(MAKE) linstall
	cd user && $(MAKE) linstall
	cd tutorials && $(MAKE) linstall
	cd security && $(MAKE) linstall
	cd conf && $(MAKE) linstall
	cd developer && $(MAKE) linstall
	$(MAKE) install_main HOW="install -f -l -d"

uninstall:
	cd man && $(MAKE) uninstall
	cd user && $(MAKE) uninstall
	cd tutorials && $(MAKE) uninstall
	cd security && $(MAKE) uninstall
	cd conf && $(MAKE) uninstall
	cd developer && $(MAKE) uninstall
	$(MAKE) install_main HOW="install -f -u -d"

clean:
	cd man && $(MAKE) clean
	cd user && $(MAKE) clean
	cd tutorials && $(MAKE) clean
	cd security && $(MAKE) clean
	cd conf && $(MAKE) clean
	cd developer && $(MAKE) clean

distclean:
	cd man && $(MAKE) distclean
	cd user && $(MAKE) distclean
	cd tutorials && $(MAKE) distclean
	cd security && $(MAKE) distclean
	cd conf && $(MAKE) distclean
	cd developer && $(MAKE) distclean

=== footprint/Makefile ===
# This Makefile is a plain old hand written one; all configuration settings
# are included from ../Makefile.conf which is scconfig generated

ROOT=..

all:

# NOTE: this rule is _not_ called from linstall
install_:
	$(MKDIR) "$(DATADIR)/footprint"
	$(MKDIR) "$(DATADIR)/footprint/connector"
	$(CPC) "`pwd`/connector"/* "$(DATADIR)/footprint/connector"
	$(MKDIR) "$(DATADIR)/footprint/parametric"
	$(CPC) "`pwd`/parametric"/* "$(DATADIR)/footprint/parametric"
	$(MKDIR) "$(DATADIR)/footprint/smd"
	$(CPC) "`pwd`/smd"/* "$(DATADIR)/footprint/smd"
	$(MKDIR) "$(DATADIR)/footprint/thru-hole"
	$(CPC) "`pwd`/thru-hole"/* "$(DATADIR)/footprint/thru-hole"

install:
	$(MAKE) install_ CPC="$(CP)"

# hack: pcb's chdir() based approach gets fooled on symlinks because of "cd .."
# returns to the wrong dir - rather symlink the whole dir
linstall:
	$(MAKE) uninstall
	$(MKDIR) "$(DATADIR)"
	$(LN) "`pwd`" "$(DATADIR)/footprint"

uninstall:
	$(RM) "$(DATADIR)/footprint"

clean:

include $(ROOT)/Makefile.conf

=== scconfig/Makefile ===
# --- configuration part --

# - generic configuration -
LIBRND_PREFIX=/usr
SRC=src
BIN=$(SRC)

#  what cflags to use to compile scconfig
USER_CFLAGS = -g -DGENCALL -I$(SRC) -I../src_3rd $(LIBRND_EXTRA_INCLUDE)
#USER_CFLAGS = -Wall -Wextra -g -DGENCALL -Isrc

#  what ldflags to use to link scconfig
USER_LDFLAGS =

#  in case hooks.c needs to link to something local
USER_OBJS = $(BIN)/util/arg_auto_set.o

#  what to build - a ./configure
all: configure cquote

# This line imports scconfig core and default tests
include $(SRC)/default/Makefile.plugin

#
# - PLUGINS -
#
#  Comment this line if you are not interested in c99 features
include $(SRC)/c99/Makefile.plugin

#  Comment this line if you do not need script libs to be detected
include $(SRC)/scripts/Makefile.plugin

#  Comment this line if you do not need parser libs to be detected
# include $(SRC)/parser/Makefile.plugin

#  Comment this line if you do not need to detect parser generators
include $(SRC)/parsgen/Makefile.plugin

#  Comment this line if you do not need math related libs
include $(SRC)/math/Makefile.plugin

#  Comment this line if you do not need socket/networking
include $(SRC)/socket/Makefile.plugin

#  Comment this line if you do not need user/password API detection
include $(SRC)/userpass/Makefile.plugin

#  Comment this line if you do not need gui (X11, toolkits)
include $(SRC)/gui/Makefile.plugin

#  Comment this line if you do not need software utility libs (glib)
include $(SRC)/sul/Makefile.plugin

#  Uncomment this line if you need menus
include $(SRC)/menulib/Makefile.plugin

#  Comment this line if you do not need generator (templating)
include $(SRC)/generator/Makefile.plugin.legacy

#  Comment this line if you do not need tmpasm (templating)
include $(SRC)/tmpasm/Makefile.plugin

# --- you shouldn't edit the lines below ---
OBJS = $(USER_OBJS) hooks.o librnd_ver.o $(DEFAULT_NOMAIN_OBJS) $(SCRIPT_OBJS) $(PARSER_OBJS) $(GENERATOR_OBJS) $(TMPASM_OBJS) $(C99_OBJS) $(PARSGEN_OBJS) $(MATH_OBJS) $(SOCKET_OBJS) $(USERPASS_OBJS) $(GUI_OBJS) $(SUL_OBJS)
CFLAGS = $(USER_CFLAGS) $(DEFAULT_CFLAGS) $(SCRIPT_CFLAGS) $(PARSER_CFLAGS) $(GENERATOR_CFLAGS) $(TMPASM_CFLAGS) $(C99_CFLAGS) $(PARSGEN_CFLAGS) $(MATH_CFLAGS) $(SOCKET_CFLAGS) $(USERPASS_CFLAGS) $(GUI_CFLAGS)  $(SUL_CFLAGS) $(MENULIB_CFLAGS) -I$(SRC)/default -I. -DLIBRND_PREFIX="$(LIBRND_PREFIX)"
LDFLAGS = $(USER_LDFLAGS) $(DEFAULT_LDFLAGS) $(SCRIPT_LDFLAGS) $(PARSER_LDFLAGS) $(GENERATOR_LDFLAGS) $(TMPASM_LDFLAGS) $(C99_LDFLAGS) $(PARSGEN_LDFLAGS) $(MATH_LDFLAGS) $(SOCKET_LDFLAGS) $(USERPASS_LDFLAGS) $(GUI_LDFLAGS) $(SUL_LDFLAGS) $(MENULIB_LDFLAGS)

all: configure revtest sccbox

revtest: revtest.o
	$(CC) -o revtest revtest.o

revtest.o: revtest.c  Rev.h
	$(CC) -c $(CFLAGS) -o revtest.o revtest.c

configure: $(OBJS)  $(DEFAULT_MAIN_OBJS)
	$(CC) -o configure $(OBJS)  $(DEFAULT_MAIN_OBJS)

menuconfig: menucfg
	./menucfg

menucfg: $(OBJS) $(MENULIB_OBJS) $(BIN)/default/main_lib.o $(BIN)/default/main_custom_args.o menucfg.o $(BIN)/util/arg_auto_menu.o $(BIN)/util/arg_auto_set.o
	$(CC) -o menucfg $(OBJS) $(MENULIB_OBJS) menucfg.o $(BIN)/default/main_lib.o $(BIN)/default/main_custom_args.o $(BIN)/util/arg_auto_menu.o

menucfg.o: menucfg.c
	$(CC) -c $(CFLAGS) -o menucfg.o menucfg.c

LIBRNDSCC=$(LIBRND_PREFIX)/include/librnd/scconfig
RNDHOOKS=$(LIBRNDSCC)/plugin_3state.h $(LIBRNDSCC)/hooks_common.h

hooks.o: hooks.c $(RNDHOOKS) plugins.h Rev.h $(LIBRND_PREFIX)/include/librnd/scconfig

librnd_ver.o: librnd_ver.c
	$(CC) -c $(CFLAGS) -o librnd_ver.o librnd_ver.c

$(BIN)/util/arg_auto_set.o: $(SRC)/util/arg_auto_set.c $(SRC)/util/arg_auto_set.h
	$(CC) -c $(CFLAGS) -o $(BIN)/util/arg_auto_set.o $(SRC)/util/arg_auto_set.c

$(BIN)/util/sccbox.o: $(SRC)/util/sccbox.c
	$(CC) -c $(CFLAGS) -o $(BIN)/util/sccbox.o $(SRC)/util/sccbox.c

sccbox: $(BIN)/util/sccbox.o
	$(CC) $(LDFLAGS) -o sccbox $(BIN)/util/sccbox.o

cquote: $(SRC)/util/cquote.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o cquote $(SRC)/util/cquote.c

clean:
	-rm $(OBJS) $(DEFAULT_MAIN_OBJS) configure revtest revtest.o cquote core $(BIN)/util/sccbox.o

distclean:
	-rm ../config.h ../Makefile.conf ../src/Makefile ../util/gsch2pcb-rnd/Makefile config.cache config.log Rev.stamp sccbox gmon.out ../src_3rd/puplug/Makefile ../src_3rd/puplug/config.h ../src_plugins/lib_hid_gl/opengl.h
	-$(MAKE) clean

=== tests/Makefile ===
test:
	cd RTT && $(MAKE) all && $(MAKE) test
	cd pcbflags && $(MAKE) all && $(MAKE) test
	cd conf && $(MAKE) all && $(MAKE) test
	cd strflags && $(MAKE) all && $(MAKE) test
	cd uniq_name && $(MAKE) all && $(MAKE) test
	cd propedit && $(MAKE) all && $(MAKE) test
	cd drc_pstk_hbrk && $(MAKE) all && $(MAKE) test
#	cd gsch2pcb-rnd && $(MAKE) all && $(MAKE) test
	cd drc_query && $(MAKE) test
	cd query && $(MAKE) test
	cd menu && $(MAKE) test
	cd cam && $(MAKE) test
	cd vendordrill && $(MAKE) test
	@echo " "
	@echo "+-------------------------------------------------+"
	@echo "+  All tests passed, pcb-rnd is safe to install.  +"
	@echo "+-------------------------------------------------+"

clean:
	cd RTT && $(MAKE) clean
	cd pcbflags && $(MAKE) clean
	cd conf && $(MAKE) clean
	cd strflags && $(MAKE) clean
	cd uniq_name && $(MAKE) clean
	cd propedit && $(MAKE) clean
	cd drc_pstk_hbrk && $(MAKE) clean
#	cd gsch2pcb-rnd && $(MAKE) clean
	cd drc_query && $(MAKE) clean
	cd query && $(MAKE) clean
	cd menu && $(MAKE) clean
	cd cam && $(MAKE) clean
	cd vendordrill && $(MAKE) clean

=== util/Makefile ===
# plain old hand crafted Makefile
ROOT=..

all:
	cd gsch2pcb-rnd && $(MAKE) all
	cd bxl2txt && $(MAKE) all

include $(ROOT)/Makefile.conf

clean:
	cd gsch2pcb-rnd && $(MAKE) clean
	cd bxl2txt && $(MAKE) clean

distclean:
	cd gsch2pcb-rnd && $(MAKE) distclean
	cd bxl2txt && $(MAKE) distclean

install_all:
	$(SCCBOX) mkdir -p  "$(BINDIR)" "$(LIBDIR)"
	$(SCCBOX) $(HOW) "fp2preview" "$(BINDIR)/fp2preview"
	$(SCCBOX) $(HOW) "fp2subc" "$(BINDIR)/fp2subc"
	$(SCCBOX) $(HOW) "pcb-prj2lht" "$(BINDIR)/pcb-prj2lht"
	$(SCCBOX) $(HOW) "pcb-rnd-svg" "$(BINDIR)/pcb-rnd-svg"
	$(SCCBOX) $(HOW) "gnet-pcbrndfwd.scm" "$(LIBDIR)/gnet-pcbrndfwd.scm"
	$(SCCBOX) $(HOW) "gnet-pcbrndfwd_elem.scm" "$(LIBDIR)/gnet-pcbrndfwd_elem.scm"

install:
	$(MAKE) install_all HOW="install -f"
	cd gsch2pcb-rnd && $(MAKE) install
	cd bxl2txt && $(MAKE) install

linstall:
	$(MAKE) install_all HOW="linstall -f"
	cd gsch2pcb-rnd && $(MAKE) linstall
	cd bxl2txt && $(MAKE) linstall

uninstall:
	$(MAKE) install_all HOW="uninstall"
	cd gsch2pcb-rnd && $(MAKE) uninstall
	cd bxl2txt && $(MAKE) uninstall

=== doc/conf/Makefile ===
ROOT=../..
CFDIR=$(DOCDIR)/conf


all:

install_all:
	$(SCCBOX) mkdir -p $(CFDIR)/tree
	$(SCCBOX) $(HOW) *.html *.png $(CFDIR)/
	$(SCCBOX) $(HOW) tree/*.html $(CFDIR)/tree/


install:
	$(MAKE) install_all HOW="install -f -d"

linstall:
	$(MAKE) install_all HOW="install -f -l -d"

uninstall:
	$(MAKE) install_all HOW="install -u"

clean:

distclean:


include $(ROOT)/Makefile.conf

=== src_3rd/gensexpr/Makefile ===
CFLAGS = -I.. $(GENSEXPR_CFLAGS)
LDFLAGS = $(GENSEXPR_LDFLAGS)
#CFLAGS += -Wall -g -ansi -pedantic

PREFIX=/usr
INCDIR=$(install_root)$(DESTDIR)$(PREFIX)/include/gensexpr
LIBDIR=$(install_root)$(DESTDIR)$(PREFIX)/lib


OBJS = gsxl.o gsxnl.o gsx_parse.o
COMMON_DEPS = gensexpr_impl.c gensexpr_impl.h gsx_parse.h
LIBA=libgensexpr.a

all: $(LIBA)

$(LIBA): $(OBJS)
	ar rv $(LIBA) $(OBJS)
	-ar s $(LIBA)
	-ranlib $(LIBA)

gsxl.o: gsxl.c gsxl.h $(COMMON_DEPS)
	$(CC) -c $(CFLAGS) gsxl.c -o gsxl.o

gsxnl.o: gsxnl.c gsxnl.h $(COMMON_DEPS)
	$(CC) -c $(CFLAGS) gsxnl.c -o gsxnl.o

gsx_parse.o: gsx_parse.c gsx_parse.h
	$(CC) -c $(CFLAGS) gsx_parse.c -o gsx_parse.o

clean:
	-rm $(OBJS) $(LIBA)

install_:
	mkdir -p $(INCDIR) $(LIBDIR)
	$(CP) `pwd`/gensexpr_impl.h  $(INCDIR)/gensexpr_impl.h
	$(CP) `pwd`/gsx_parse.h      $(INCDIR)/gsx_parse.h
	$(CP) `pwd`/gsxl.h           $(INCDIR)/gsxl.h
	$(CP) `pwd`/gsxnl.h          $(INCDIR)/gsxnl.h
	$(CP) `pwd`/libgensexpr.a    $(LIBDIR)/libgensexpr.a

uninstall:
	rm $(INCDIR)/gensexpr_impl.h
	rm $(INCDIR)/gsx_parse.h
	rm $(INCDIR)/gsxl.h
	rm $(INCDIR)/gsxnl.h
	rm $(LIBDIR)/libgensexpr.a

install:
	make install_ CP="cp"

linstall:
	make install_ CP="ln -s"

=== src_3rd/libminuid/Makefile ===
CFLAGS = $(LIBMINUID_CFLAGS)
LDFLAGS = $(LIBMINUID_LDFLAGS)

#CFLAGS += -g -Wall -ansi -pedantic
#LDFLAGS = -rdynamic

INCDIR=$(install_root)$(DESTDIR)/usr/include
LIBDIR=$(install_root)$(DESTDIR)/usr/lib

VER_MAJOR=1
VER_MINOR=0
VER_PATCH=1
VER=$(VER_MAJOR).$(VER_MINOR).$(VER_PATCH)

LIBSO=libminuid.so.$(VER)
LIBSO1=libminuid.so.$(VER_MAJOR)
LIBA=libminuid.a


all: $(LIBA) $(LIBSO)

libminuid.o: libminuid.c libminuid.h
	$(CC) $(CFLAGS) -c libminuid.c -o $@

$(LIBSO): libminuid.o
	$(CC) $(LDFLAGS) -shared -dynamic -o $@ libminuid.o

$(LIBA): libminuid.o
	@touch $(LIBA)
	@rm $(LIBA)
	@ar ru $(LIBA) libminuid.o
	-ar s $(LIBA)
	-ranlib $(LIBA)

clean:
	-rm libminuid.o $(LIBA) $(LIBSO) $(LIBSO1)

install_:
	mkdir -p $(INCDIR) $(LIBDIR)
	$(CP) `pwd`/libminuid.h $(INCDIR)/libminuid.h
	$(CP) `pwd`/$(LIBSO) $(LIBDIR)/$(LIBSO)
	$(CP) `pwd`/$(LIBA) $(LIBDIR)/$(LIBA)

uninstall:
	rm $(INCDIR)/libminuid.h $(LIBDIR)/$(LIBSO) $(LIBDIR)/$(LIBA) $(LIBDIR)/$(LIBSO1)

install:
	make install_ CP="cp"
	ln -s $(LIBSO) $(LIBDIR)/$(LIBSO1)

linstall:
	make install_ CP="ln -s"
	ln -s $(LIBSO) $(LIBDIR)/$(LIBSO1)

=== src_3rd/libucdf/Makefile ===
CFLAGS = -Wall -g

tester: tester.o ucdf.o

tester.o: tester.c ucdf.h

ucdf.o: ucdf.c ucdf.h

=== src_plugins/acompnet/Makefile ===
all:
	cd ../../src && $(MAKE) mod_acompnet

clean:
	rm *.o *.so 2>/dev/null ; true

=== src_plugins/act_read/Makefile ===
all:
	cd ../../src && $(MAKE) mod_act_read
	

clean:
	rm *.o *.so 2>/dev/null ; true

=== src_plugins/autocrop/Makefile ===
all:
	cd ../../src && $(MAKE) mod_autocrop

clean:
	rm *.o *.so 2>/dev/null ; true

=== debian/changelog ===
pcb-rnd (3.0.3-1) unstable; urgency=medium

  * new upstream version, closes: #1002252, #968285
  * enable use of fungw for additional scripting options, now that fungw and 
    friends are packaged in Debian

 -- Bdale Garbee <bdale@gag.com>  Wed, 12 Jan 2022 00:37:04 -0700

pcb-rnd (3.0.2-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Fri, 05 Nov 2021 17:11:24 -0600

pcb-rnd (3.0.1-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Thu, 21 Oct 2021 00:26:11 -0600

pcb-rnd (3.0.0-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Wed, 15 Sep 2021 21:09:31 -0600

=== debian/control ===
Source: pcb-rnd
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Dima Kogan <dkogan@debian.org>, Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 11), librnd3-dev (>= 3.1.0), librnd3-cloud, librnd3-lib-gui, imagemagick, libgd-dev, libgtkglext1-dev, libmotif-dev, libstroke0-dev, libxml2-dev, libgenht1-dev, libfungw-dev
Standards-Version: 4.6.0
Homepage: http://repo.hu/projects/pcb-rnd
Vcs-Git: https://salsa.debian.org/electronics-team/pcb-rnd.git
Vcs-Browser: https://salsa.debian.org/electronics-team/pcb-rnd

Package: pcb-rnd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	pcb-rnd-core (= ${binary:Version}),
	pcb-rnd-io-standard (= ${binary:Version}),
	pcb-rnd-io-alien (= ${binary:Version}),
	pcb-rnd-lib-gui (= ${binary:Version}),
	librnd3-hid-gtk2-gl,
	librnd3-hid-gtk2-gdk,
	pcb-rnd-export (= ${binary:Version}),
	pcb-rnd-export-sim (= ${binary:Version}),
	pcb-rnd-export-extra (= ${binary:Version}),
	pcb-rnd-auto (= ${binary:Version}),
	pcb-rnd-extra (= ${binary:Version}),
	pcb-rnd-cloud (= ${binary:Version}),
	pcb-rnd-doc (= ${source:Version}),
	pcb-rnd-import-net (= ${binary:Version})
Suggests: geda-gnetlist
Description: Standard installation of pcb-rnd
 pcb-rnd is a highly modular PCB (Printed Circuit Board) layout tool
 with a rich set of plugins for communicating with various external
 design tools and other EDA/CAD packages.
 .
 Feature highlights:
   - subcircuits, pad stacks
   - flexible footprint model; unrestricted pad shapes
   - arbitrary copper, silk, paste and soldermask objects
   - sophisticated, flexible layer model
   - flexible/universal polygon model
   - any object, even polygons, can have a clearance within a polygon
   - advanced mil and mm grid, with support for mixed unit design
   - strong CLI support
   - static footprints and parametric (generated) footprints
   - query language for advanced search & select
   - powerful, user scriptable, modular Design Rule Checker (DRC)
   - layout optimizers such as teardrops and a trace puller
   - footprint library from local file systems, HTTP and board files
   - netlist management: imported and as-built; back annotation
 .
 File formats and compatibility:
   - text based, tree structured native file format (lihata)
   - import board:
     * Altium PcbDoc ASCII board
     * autotrax PCB board, version 4
     * autotrax PCB board, version 5
     * dsn board
     * eagle xml board version 6, 7, 8
     * eagle binary board version 3, 4, 5
     * hyperlynx board, version 2 and above
     * kicad board, version 3, 4 and 5 (s-expr)
     * lihata pcb-rnd board (any version)
     * PADS ASCII board
     * gEDA/PCB .pcb board (any version up to 2017)
   - export board:
     * anonimized board statistics in lihata
     * autotrax PCB board, version 4
     * specctra dsn board
     * hyperlynx board, version 2.0
     * kicad board, version 3 (s-expr)
     * kicad pcbnew-board, version 1 (legacy plain text format)
     * lihata pcb-rnd board (any version)
     * PADS ASCII board
     * gEDA/PCB .pcb board (various version up to 2017)
   - import footprint:
     * BXL footprints
     * eagle xml footprint lib .lbr (as board)
     * eagle xml footprint lib .lbr (as footprint)
     * eagle binary footprint lib (as board)
     * lihata pcb-rnd footprint (any version)
     * Mentor Graphics cell footprints
     * gEDA/PCB .fp footprints
     * tEDAx footprint (any version)
   - export footprint:
     * kicad module (s-expr, according to version 3)
     * kicad pcbnew-module (legacy plain text format)
     * lihata pcb-rnd footprint (any version)
     * gEDA/PCB .fp footprints
     * tEDAx footprint (any version)
   - import netlist:
     * Accel ASCII netlists + footprint info
     * calay (netlists + footprint info)
     * flat netlist from EDIF
     * freepcb netlist + footprint info
     * gEDA/gschem (netlist + footprint info, running gnetlist)
     * import ltspice .net and .asc (netlist and footprint info)
     * flat .edf (netlist+footprint, produced by Mentor Graphics Design Capture)
     * pcb-rnd action script (netlist + footprint info)
     * schematics import by running a commandline
     * netlist import by running a commandline
     * gEDA netlist (plain text, no footprint info)
     * Orcad PCB II (netlist + footprint info)
     * PADS ascii (.asc, netlists + footprint info)
     * Protel netlists 2.0 + footprint info
     * tinycad .net (netlists + footprint info)
     * eeschema netlist and footprint info
     * tEDAx netlist (any version)
   - export netlist:
     * tEDAx netlist (any version)
   - import image:
     * pixmap (e.g. png)
     * pnm (pixmap)
   - export image:
     * render in .png
     * render in .gif
     * render in .jpeg
     * render black&white postscript (single or multiple files)
     * render black&white or color embedded postscript (single file)
     * pro (projector: 3d rendering)
     * svg (Scalable Vector Graphics)
   - import misc:
     * HPGL plot (lines, arcs, polygons)
     * MUCS unixplot .pl (lines and vias)
     * ttf font
     * specctra .dsn (route result: wires and vias)
     * specctra .ses (route result: wires and vias)
     * eagle DRU (design rules)
     * lihata pcb-rnd font (any version)
     * gEDA/PCB font
     * tEDAx drc
     * tEDAx pcb-rnd drc script
   - export misc:
     * bom (Bill of Materials, text)
     * .dxf (2D drawing for mech CADs)
     * excellon drill/cnc (for PCB fabbing)
     * fidocad .fcd (partial export)
     * export gcode (for milling)
     * gerber for PCB fabbing
     * IPC-D-356 Netlist (for automated testing)
     * printer (using ps)
     * list of terminal connections (old, custom format)
     * OpenEMS (simulation, matlab files)
     * openscad script (colored 3D model)
     * stl (3d triangulated surface model)
     * amf (Additive Manufacturing File, surface model)
     * geda/PCB xy
     * gxyrs
     * Macrofab's pick&place
     * pick&place file for the TM220/TM240 device
     * KiCad .pos file
     * IPC-D-356 Netlist (from automated testing)
     * lihata pcb-rnd font (any version)
     * tEDAx etest
     * tEDAx drc
     * tEDAx pcb-rnd drc script

Package: pcb-rnd-debug
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core (= ${binary:Version})
Description: Debug and diagnostics.
 Extra action commands to help in debugging and diagnosing problems
 and bugs.

Package: pcb-rnd-export
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core (= ${binary:Version})
Description: Common export plugins.
 Export the board in vector graphics (svg, ps, eps), raster graphics
 (png, jpeg, etc.), gerber, 3d model in openscad, xy for pick and
 place, BoM, etc.

Package: pcb-rnd-doc
Architecture: all
Depends: ${misc:Depends}
Replaces: pcb-rnd (<< 2.2.0-2)
Breaks: pcb-rnd (<< 2.2.0-2)
Description: Documentation for pcb-rnd
 User manual (html) and manual pages.

Package: pcb-rnd-export-sim
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core (= ${binary:Version})
Description: Export plugins to simulators
 Export the board in formats that can be used for simulation: openems.

Package: pcb-rnd-import-geo
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core (= ${binary:Version})
Description: Geometry import.
 Plugins for importing pixmaps, fonts and vector graphics.

Package: pcb-rnd-import-net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	pcb-rnd-core (= ${binary:Version}),
	librnd3
Replaces: pcb-rnd (<< 2.2.0-2)
Breaks: pcb-rnd (<< 2.2.0-2)
Description: Netlist/schematics import plugins.
 Import netlist and footprint information from edif, ltspice, mentor
 graphics, gschem and tinycad.

Package: pcb-rnd-auto
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	pcb-rnd-core (= ${binary:Version}),
	librnd3,
	pcb-rnd-lib-io (= ${binary:Version}),
	pcb-rnd-io-standard (= ${binary:Version})
Description: Autoroute and autoplace.
 Feature plugins for automated component placing and track routing.

Package: pcb-rnd-lib-io
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core (= ${binary:Version})
Description: Support library for alien file formats.
 Provides generic, low level parsers (such as s-expression parser) for
 I/O plugins that need to deal with alien file formats.

Package: pcb-rnd-io-standard
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	pcb-rnd-core (= ${binary:Version}),
	pcb-rnd-lib-io (= ${binary:Version})
Replaces: pcb-rnd (<< 2.2.0-2)
Breaks: pcb-rnd (<< 2.2.0-2)
Description: Commonly used non-native board and footprint file formats
 Plugins for tEDAx footprint format and the gEDA/PCB file formats
 (footprint and board).

Package: pcb-rnd-lib-gui
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, 
	pcb-rnd-core (= ${binary:Version}),
	librnd3-lib-gui
Description: Support library for building the GUI.
 Provides pcb-rnd specific dialog boxes (e.g. fontsel) and top window
 GUI elements.

Package: pcb-rnd-core
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, librnd3
Replaces: pcb-rnd (<< 2.2.0-2)
Breaks: pcb-rnd (<< 2.2.0-2)
Description: pcb-rnd executable with the core functionality
 Includes the data model, the most common action commands, the native
 file format and the CLI (batch HID). Does not contain GUI. Can be
 used in headless mode or batch/scripted mode for automated processing.

Package: pcb-rnd-io-alien
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	pcb-rnd-core (= ${binary:Version}),
	pcb-rnd-lib-io (= ${binary:Version}),
	pcb-rnd-extra (= ${binary:Version}),
	librnd3
Description: File format compatibility with other PCB layout designers.
 Load and/or save boards in file formats supported by other EDA tools,
 such as KiCAD, Eagle, protel/autotrax, etc.

Package: pcb-rnd-cloud
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, 
	pcb-rnd-core (= ${binary:Version}),
	librnd3-cloud
Description: Networking plugins.
 'Cloud' footprint access plugin that integrates edakrill and
 gedasymbols.org.

Package: pcb-rnd-export-extra
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	pcb-rnd-core (= ${binary:Version}),
	pcb-rnd-export (= ${binary:Version})
Description: Export formats: special/extra
 Less commonly used export formats: fidocadj, ipc-356-d, stl, old geda
 connection list format, direct printing with lpr.

Package: pcb-rnd-extra
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core (= ${binary:Version})
Description: Extra action commands and optional functionality.
 Align objects in grid, optimize tracks, font editor, combine
 polygons, renumber subcircuits, apply vendor drill mapping.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE = 1
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

%:
ifeq (mipsel,$(findstring mipsel,$(DEB_HOST_ARCH)))
	dh $@ --no-parallel
else ifeq (mips64el,$(findstring mips64el,$(DEB_HOST_ARCH)))
	dh $@ --no-parallel
else
	dh $@
endif

override_dh_auto_clean:
	# only try to run dh_auto_clean if configure has been run
	test -f Makefile.conf && dh_auto_clean || true

override_dh_auto_configure:
	./configure \
		--LDFLAGS='$(LDFLAGS)' \
		--CFLAGS='$(CFLAGS) $(CPPFLAGS)' \
		\
		--symbols \
		--prefix=/usr \
		--confdir=/etc/pcb-rnd \
		\
		--all=disable \
		--buildin-fp_fs \
		--buildin-draw_fab \
		--buildin-act_read \
		--buildin-drc_query \
		--buildin-mincut \
		--buildin-ch_onpoint \
		--buildin-report \
		--buildin-rubberband_orig \
		--buildin-exto_std \
		--buildin-fp_board \
		--buildin-propedit \
		--buildin-io_lihata \
		--buildin-autocrop \
		--buildin-lib_polyhelp \
		--buildin-draw_csect \
		--buildin-ddraft \
		--buildin-ch_editpoint \
		--buildin-act_draw \
		--buildin-tool_std \
		--buildin-show_netnames \
		--buildin-query \
		--buildin-lib_compat_help \
		--buildin-shape \
		--buildin-lib_formula \
		--buildin-extedit \
		--plugin-export_excellon \
		--plugin-export_fidocadj \
		--plugin-export_lpr \
		--plugin-export_oldconn \
		--plugin-import_pxm_gd \
		--plugin-export_stat \
		--plugin-io_kicad_legacy \
		--plugin-io_eagle \
		--plugin-io_tedax \
		--plugin-import_gnetlist \
		--plugin-import_pxm_pnm \
		--plugin-io_kicad \
		--plugin-import_mucs \
		--plugin-renumber \
		--plugin-import_calay \
		--plugin-smartdisperse \
		--plugin-draw_fontsel \
		--plugin-polycombine \
		--plugin-export_gcode \
		--plugin-export_bom \
		--plugin-ar_cpcb \
		--plugin-lib_hid_pcbui \
		--plugin-teardrops \
		--plugin-shand_cmd \
		--plugin-io_pads \
		--plugin-import_tinycad \
		--plugin-export_openems \
		--plugin-import_orcad_net \
		--plugin-import_ltspice \
		--plugin-export_dxf \
		--plugin-export_ipcd356 \
		--plugin-import_ttf \
		--plugin-import_mentor_sch \
		--plugin-export_ps \
		--plugin-import_accel_net \
		--plugin-millpath \
		--plugin-djopt \
		--plugin-import_edif \
		--plugin-import_protel_net \
		--plugin-import_sch2 \
		--plugin-diag \
		--plugin-export_stl \
		--plugin-autoplace \
		--plugin-export_svg \
		--plugin-import_net_cmd \
		--plugin-fp_wget \
		--plugin-fontmode \
		--plugin-import_netlist \
		--plugin-polystitch \
		--plugin-import_pads_net \
		--plugin-dialogs \
		--plugin-io_dsn \
		--plugin-export_xy \
		--plugin-export_png \
		--plugin-import_hpgl \
		--plugin-import_ipcd356 \
		--plugin-lib_netmap \
		--plugin-io_hyp \
		--plugin-cam \
		--plugin-puller \
		--plugin-import_fpcb_nl \
		--plugin-io_pcb \
		--plugin-distalign \
		--plugin-asm \
		--plugin-export_openscad \
		--plugin-jostle \
		--plugin-autoroute \
		--plugin-io_autotrax \
		--plugin-vendordrill \
		--plugin-export_gerber \
		--plugin-io_bxl \
		--plugin-ar_extern \
		--plugin-import_net_action \

=== debian/watch ===
version=3
opts=dversionmangle=s/\+repack.*$// \
  http://www.repo.hu/projects/pcb-rnd/releases/pcb-rnd-(.*)\.tar\.gz

## pcb-rnd 3.0.4

=== debian/changelog ===
pcb-rnd (3.0.4-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Wed, 12 Jan 2022 00:37:04 -0700

## pcb-rnd 3.0.6

=== scconfig/Makefile ===
--- 
+++ 
@@ -90,7 +90,7 @@
 
 hooks.o: hooks.c $(RNDHOOKS) plugins.h Rev.h $(LIBRND_PREFIX)/include/librnd/scconfig
 
-librnd_ver.o: librnd_ver.c
+librnd_ver.o: librnd_ver.c $(LIBRND_PREFIX)/include/librnd/config.h
 	$(CC) -c $(CFLAGS) -o librnd_ver.o librnd_ver.c
 
 $(BIN)/util/arg_auto_set.o: $(SRC)/util/arg_auto_set.c $(SRC)/util/arg_auto_set.h

=== tests/Makefile ===
--- 
+++ 
@@ -1,7 +1,6 @@
 test:
 	cd RTT && $(MAKE) all && $(MAKE) test
 	cd pcbflags && $(MAKE) all && $(MAKE) test
-	cd conf && $(MAKE) all && $(MAKE) test
 	cd strflags && $(MAKE) all && $(MAKE) test
 	cd uniq_name && $(MAKE) all && $(MAKE) test
 	cd propedit && $(MAKE) all && $(MAKE) test
@@ -20,7 +19,6 @@
 clean:
 	cd RTT && $(MAKE) clean
 	cd pcbflags && $(MAKE) clean
-	cd conf && $(MAKE) clean
 	cd strflags && $(MAKE) clean
 	cd uniq_name && $(MAKE) clean
 	cd propedit && $(MAKE) clean

=== doc/developer/Makefile ===
ROOT=../..
DEVDIR=$(DOCDIR)/developer

all:

install_all:
	$(SCCBOX) mkdir -p $(DEVDIR)/alien_formats $(DEVDIR)/alien_formats/io_altium $(DEVDIR)/ddrc $(DEVDIR)/mods3 $(DEVDIR)/API $(DEVDIR)/export_openems $(DEVDIR)/lihata_format $(DEVDIR)/lihata_format/examples $(DEVDIR)/plugin $(DEVDIR)/plugin/template $(DEVDIR)/plugin/template_fungw $(DEVDIR)/plugin/template_pup
	$(SCCBOX) $(HOW) *.txt *.html *.svg $(DEVDIR)/
	$(SCCBOX) $(HOW) alien_formats/*.txt $(DEVDIR)/alien_formats/
	$(SCCBOX) $(HOW) alien_formats/io_altium/*.txt $(DEVDIR)/alien_formats/io_altium/
	$(SCCBOX) $(HOW) alien_formats/io_kicad/*.txt $(DEVDIR)/alien_formats/io_kicad/
	$(SCCBOX) $(HOW) ddrc/*.txt $(DEVDIR)/ddrc/
	$(SCCBOX) $(HOW) mods3/*.html mods3/*.png $(DEVDIR)/mods3/
	$(SCCBOX) $(HOW) API/*.txt $(DEVDIR)/API/
	$(SCCBOX) $(HOW) export_openems/*.txt $(DEVDIR)/export_openems/
	$(SCCBOX) $(HOW) lihata_format/*.html lihata_format/*.txt lihata_format/*.svg $(DEVDIR)/lihata_format/
	$(SCCBOX) $(HOW) lihata_format/examples/*.lht $(DEVDIR)/lihata_format/examples/
	$(SCCBOX) $(HOW) plugin/*.html plugin/*.h plugin/*.conf $(DEVDIR)/plugin/
	$(SCCBOX) $(HOW) plugin/template/* $(DEVDIR)/plugin/template/
	$(SCCBOX) $(HOW) plugin/template_fungw/* $(DEVDIR)/plugin/template_fungw/
	$(SCCBOX) $(HOW) plugin/template_pup/* $(DEVDIR)/plugin/template_pup/

install:
	$(MAKE) install_all HOW="install -f -d"

linstall:
	$(MAKE) install_all HOW="install -f -l -d"

uninstall:
	$(MAKE) install_all HOW="install -u"

clean:

distclean:


include $(ROOT)/Makefile.conf

=== src_3rd/libuundo/Makefile ===
PREFIX=/usr
LIBDIR=$(install_root)$(DESTDIR)$(PREFIX)/lib
INCDIR=$(install_root)$(DESTDIR)$(PREFIX)/include

#CFLAGS += -Wall -g -ansi -pedantic

OBJS = uundo.o uundo_debug.o

all: libuundo.a

libuundo.a: $(OBJS)
	@touch $@
	@rm $@
	@ar ru $@ $(OBJS)
	-ar s $@
	-ranlib $@

uundo.o: uundo.c uundo.h
	$(CC) -c $(CFLAGS) uundo.c -o uundo.o

uundo_debug.o: uundo_debug.c uundo_debug.h
	$(CC) -c $(CFLAGS) uundo_debug.c -o uundo_debug.o

install_:
	mkdir -p $(LIBDIR) $(INCDIR)
	$(CP) `pwd`/libuundo.a $(LIBDIR)/libuundo.a
	$(CP) `pwd`/uundo.h $(INCDIR)/uundo.h
	$(CP) `pwd`/uundo_debug.h $(INCDIR)/uundo_debug.h

uninstall:
	rm $(LIBDIR)/libuundo.a $(INCDIR)/uundo.h $(INCDIR)/uundo_debug.h

install:
	make install_ CP="cp"

linstall:
	make install_ CP="ln -s"


clean:
	rm $(OBJS) libuundo.a 2>/dev/null; true

=== src_plugins/show_netnames/Makefile ===
all:
	cd ../../src && $(MAKE) mod_show_netnames

clean:
	rm *.o *.so 2>/dev/null ; true

=== tests/io_bxl/Makefile ===
ROOT=../..
PLG=$(ROOT)/src_plugins/io_bxl

include $(ROOT)/Makefile.conf

include $(LIBRND_MAK)

CFLAGS = $(PCB_RND_C89FLAGS) -I$(ROOT) -I$(ROOT)/src_3rd -I$(ROOT)/src -I$(PLG) $(CFLAGS_LIBRND_FUNGW) -I$(LIBRND_INCDIR)/librnd/src_3rd
LDLIBS = -lm -lrnd-hid -lrnd-3rd $(LDFLAGS_LIBRND_FUNGW)

test_parse: test_parse.o glue.o $(PLG)/bxl_lex.o $(PLG)/bxl_gram.o

#$(PLG)/bxl_lex.c $(PLG)/bxl_lex.h: $(PLG)/bxl_lex.ul $(PLG)/bxl_gram.h $(PLG)/bxl.h
#	ureglex -l $(PLG)/bxl_lex.ul -c $(PLG)/bxl_lex.c -h $(PLG)/bxl_lex.h

#$(PLG)/bxl_gram.c $(PLG)/bxl_gram.h: $(PLG)/bxl_gram.y
#	byaccic -v $(PLG)/bxl_gram.desc -o $(PLG)/bxl_gram.c -H $(PLG)/bxl_gram.h $(PLG)/bxl_gram.y

test_parse.o: $(PLG)/bxl_gram.h $(PLG)/bxl_lex.h

=== tests/order_const/Makefile ===
ROOT=../..
ORD=$(ROOT)/src_plugins/order
include $(ROOT)/Makefile.conf

CFLAGS = $(PCB_RND_C89FLAGS) $(CFLAGS_LIBRND) -I$(ROOT) -I$(ROOT)/src_3rd -I$(LIBRND_INCDIR)/librnd/src_3rd
LDFLAGS = $(LDFLAGS_LIBRND)
ORDLIB = $(ORD)/constraint.o $(ORD)/const_gram.o $(ORD)/const_lex.o

LDLIBS = -lrnd-hid -lrnd-3rd $(LDFLAGS_LIBRND) -lm


all: tester

tester: tester.o $(ORDLIB)


clean:
	-rm tester.o tester

=== tests/uniq_name/Makefile ===
all: tester

ROOT=../..
include $(ROOT)/Makefile.conf
include $(LIBRND_MAK)

UNM=$(ROOT)/src_plugins/io_kicad
LHT=$(ROOT)/src_3rd
SRC=$(ROOT)/src
SRC_3RD=$(ROOT)/src_3rd
CFLAGS = $(PCB_RND_C89FLAGS) $(CFLAGS_LIBRND) -I$(UNM) -I$(LHT) -I$(SRC) -I$(ROOT)
LDFLAGS = $(LDFLAGS_LIBRND)
LDLIBS = -lrnd-hid -lrnd-3rd $(LDFLAGS_LIBRND_FUNGW) -lm

test: tester.diff
	@echo "uniq_name:           *** QC PASS ***"
	@rm tester.out

tester: tester.o $(UNM)/uniq_name.o
	$(CC) $(LDFLAGS) -o tester tester.o $(UNM)/uniq_name.o $(LDLIBS)

tester.o: tester.c $(UNM)/uniq_name.h

$(UNM)/uniq_name.o: $(UNM)/uniq_name.c $(UNM)/uniq_name.h

tester.diff: tester.ref tester.out
	@diff -u tester.ref tester.out

tester.out: tester
	./tester > tester.out

clean:
	-$(SCCBOX) rm -f tester.out tester tester.o

=== src_plugins/export_stl/test_load/Makefile ===
CFLAGS = -g -Wall -I.
LDFLAGS = -lm

main: main.c ../stl_models.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o main main.c

=== src_plugins/mincut/pcb-mincut/test_cases/Makefile ===
TESTS = C.diff H.diff H2.diff H3.diff H4.diff O.diff \
        rats1.diff rats2.diff rats3.diff

all: $(TESTS)

.SUFFIXES: .in .out .diff .ref

.out.diff:
	@diff -u $*.out $*.ref

.in.out:
	@../main < $*.in >$*.out

=== debian/changelog ===
pcb-rnd (3.0.6-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Wed, 02 Nov 2022 15:17:25 -0600

pcb-rnd (3.0.5-3) unstable; urgency=medium

  * roll version number to include orig.tar.gz in upload

 -- Bdale Garbee <bdale@gag.com>  Fri, 09 Sep 2022 22:19:12 -0600

pcb-rnd (3.0.5-2) unstable; urgency=medium

  * patch from upstream to elide failing conf tests that are redundant since
    that code now exists and is tested in librnd, closes: #1015035

 -- Bdale Garbee <bdale@gag.com>  Thu, 25 Aug 2022 16:18:01 -0600

pcb-rnd (3.0.5-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Wed, 20 Jul 2022 04:13:47 -0600

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,8 @@
 	pcb-rnd-io-standard (= ${binary:Version}),
 	pcb-rnd-io-alien (= ${binary:Version}),
 	pcb-rnd-lib-gui (= ${binary:Version}),
-	librnd3-hid-gtk2-gl,
-	librnd3-hid-gtk2-gdk,
+	librnd3-hid-gtk2-gl (>=3.2.0),
+	librnd3-hid-gtk2-gdk (>=3.2.0),
 	pcb-rnd-export (= ${binary:Version}),
 	pcb-rnd-export-sim (= ${binary:Version}),
 	pcb-rnd-export-extra (= ${binary:Version}),
@@ -102,14 +102,14 @@
      * Orcad PCB II (netlist + footprint info)
      * PADS ascii (.asc, netlists + footprint info)
      * Protel netlists 2.0 + footprint info
+     * sch-rnd sheet (netlist + footprint info, running sch-rnd)
+     * sch-rnd project (netlist + footprint info, running sch-rnd)
+     * Ringdove project (netlist + footprint info, running sch-rnd)
      * tinycad .net (netlists + footprint info)
      * eeschema netlist and footprint info
      * tEDAx netlist (any version)
    - export netlist:
      * tEDAx netlist (any version)
-   - import image:
-     * pixmap (e.g. png)
-     * pnm (pixmap)
    - export image:
      * render in .png
      * render in .gif
@@ -163,7 +163,7 @@
 
 Package: pcb-rnd-export
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core (= ${binary:Version}), librnd3 (>= 3.2.0), librnd3-pixmap (>=3.2.0)
 Description: Common export plugins.
  Export the board in vector graphics (svg, ps, eps), raster graphics
  (png, jpeg, etc.), gerber, 3d model in openscad, xy for pick and
@@ -193,7 +193,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
 	pcb-rnd-core (= ${binary:Version}),
-	librnd3
+	librnd3 (>= 3.2.0)
 Replaces: pcb-rnd (<< 2.2.0-2)
 Breaks: pcb-rnd (<< 2.2.0-2)
 Description: Netlist/schematics import plugins.
@@ -204,7 +204,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
 	pcb-rnd-core (= ${binary:Version}),
-	librnd3,
+	librnd3 (>= 3.2.0),
 	pcb-rnd-lib-io (= ${binary:Version}),
 	pcb-rnd-io-standard (= ${binary:Version})
 Description: Autoroute and autoplace.
@@ -232,20 +232,21 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, 
 	pcb-rnd-core (= ${binary:Version}),
-	librnd3-lib-gui
+	librnd3-lib-gui (>= 3.2.0)
 Description: Support library for building the GUI.
  Provides pcb-rnd specific dialog boxes (e.g. fontsel) and top window
  GUI elements.
 
 Package: pcb-rnd-core
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, librnd3
+Depends: ${misc:Depends}, ${shlibs:Depends}, librnd3 (>= 3.2.0)
 Replaces: pcb-rnd (<< 2.2.0-2)
 Breaks: pcb-rnd (<< 2.2.0-2)
 Description: pcb-rnd executable with the core functionality
  Includes the data model, the most common action commands, the native
- file format and the CLI (batch HID). Does not contain GUI. Can be
- used in headless mode or batch/scripted mode for automated processing.
+ file format.  Can be used in headless mode or batch/scripted mode for
+ automated processing or with GUI (if pcb-rnd-lib-gui and librnd GUI
+ HIDs are installed).
 
 Package: pcb-rnd-io-alien
 Architecture: any
@@ -253,7 +254,7 @@
 	pcb-rnd-core (= ${binary:Version}),
 	pcb-rnd-lib-io (= ${binary:Version}),
 	pcb-rnd-extra (= ${binary:Version}),
-	librnd3
+	librnd3 (>= 3.2.0)
 Description: File format compatibility with other PCB layout designers.
  Load and/or save boards in file formats supported by other EDA tools,
  such as KiCAD, Eagle, protel/autotrax, etc.
@@ -262,7 +263,8 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, 
 	pcb-rnd-core (= ${binary:Version}),
-	librnd3-cloud
+	librnd3-cloud (>= 3.2.0),
+	pcb-rnd-export (= ${binary:Version}),
 Description: Networking plugins.
  'Cloud' footprint access plugin that integrates edakrill and
  gedasymbols.org.

## pcb-rnd 3.1.0

=== doc/Makefile ===
--- 
+++ 
@@ -1,13 +1,12 @@
-MENU_RES=../src/menu-default.lht
-KEYLIST=../util/keylist.sh
-DEBLIST=../util/devhelpers/deblist.sh
+MENU_RES=../src/menu-default.lht ../src_plugins/*/*-menu.lht
 ROOT=..
 
 all: keys.html user/05_ui/04_common/keytree.svg user/05_ui/04_common/keytree.txt
 	ROOT="" ./Autostyle.sh *.html
-	./datasheet.sh
+	LIBRND_LIBDIR="$(LIBRND_LIBDIR)" ./datasheet.sh
 
 include ../Makefile.conf
+include $(LIBRND_MAK)
 
 user/05_ui/04_common/keytree.svg: $(MENU_RES) $(KEYLIST)
 	$(KEYLIST) --dot user/05_ui/04_common/src/node_names.txt $(MENU_RES) > user/05_ui/04_common/keytree.dot

=== debian/changelog ===
pcb-rnd (3.1.0-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Tue, 07 Feb 2023 23:45:32 -0700

## pcb-rnd 3.1.1

=== debian/changelog ===
pcb-rnd (3.1.1-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Wed, 24 May 2023 11:33:43 -0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Dima Kogan <dkogan@debian.org>, Bdale Garbee <bdale@gag.com>
-Build-Depends: debhelper (>= 11), librnd3-dev (>= 3.1.0), librnd3-cloud, librnd3-lib-gui, imagemagick, libgd-dev, libgtkglext1-dev, libmotif-dev, libstroke0-dev, libxml2-dev, libgenht1-dev, libfungw-dev
+Build-Depends: debhelper (>= 11), librnd4-dev, librnd4-cloud, librnd4-lib-gui, imagemagick, libgd-dev, libgtkglext1-dev, libmotif-dev, libstroke0-dev, libxml2-dev, libgenht1-dev, libfungw-dev
 Standards-Version: 4.6.0
 Homepage: http://repo.hu/projects/pcb-rnd
 Vcs-Git: https://salsa.debian.org/electronics-team/pcb-rnd.git
@@ -16,8 +16,8 @@
 	pcb-rnd-io-standard (= ${binary:Version}),
 	pcb-rnd-io-alien (= ${binary:Version}),
 	pcb-rnd-lib-gui (= ${binary:Version}),
-	librnd3-hid-gtk2-gl (>=3.2.0),
-	librnd3-hid-gtk2-gdk (>=3.2.0),
+	librnd4-hid-gtk2-gl,
+	librnd4-hid-gtk2-gdk,
 	pcb-rnd-export (= ${binary:Version}),
 	pcb-rnd-export-sim (= ${binary:Version}),
 	pcb-rnd-export-extra (= ${binary:Version}),
@@ -163,7 +163,7 @@
 
 Package: pcb-rnd-export
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core (= ${binary:Version}), librnd3 (>= 3.2.0), librnd3-pixmap (>=3.2.0)
+Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core (= ${binary:Version}), librnd4, librnd4-pixmap
 Description: Common export plugins.
  Export the board in vector graphics (svg, ps, eps), raster graphics
  (png, jpeg, etc.), gerber, 3d model in openscad, xy for pick and
@@ -193,7 +193,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
 	pcb-rnd-core (= ${binary:Version}),
-	librnd3 (>= 3.2.0)
+	librnd4
 Replaces: pcb-rnd (<< 2.2.0-2)
 Breaks: pcb-rnd (<< 2.2.0-2)
 Description: Netlist/schematics import plugins.
@@ -204,7 +204,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
 	pcb-rnd-core (= ${binary:Version}),
-	librnd3 (>= 3.2.0),
+	librnd4,
 	pcb-rnd-lib-io (= ${binary:Version}),
 	pcb-rnd-io-standard (= ${binary:Version})
 Description: Autoroute and autoplace.
@@ -232,14 +232,14 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, 
 	pcb-rnd-core (= ${binary:Version}),
-	librnd3-lib-gui (>= 3.2.0)
+	librnd4-lib-gui
 Description: Support library for building the GUI.
  Provides pcb-rnd specific dialog boxes (e.g. fontsel) and top window
  GUI elements.
 
 Package: pcb-rnd-core
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, librnd3 (>= 3.2.0)
+Depends: ${misc:Depends}, ${shlibs:Depends}, librnd4
 Replaces: pcb-rnd (<< 2.2.0-2)
 Breaks: pcb-rnd (<< 2.2.0-2)
 Description: pcb-rnd executable with the core functionality
@@ -254,7 +254,7 @@
 	pcb-rnd-core (= ${binary:Version}),
 	pcb-rnd-lib-io (= ${binary:Version}),
 	pcb-rnd-extra (= ${binary:Version}),
-	librnd3 (>= 3.2.0)
+	librnd4
 Description: File format compatibility with other PCB layout designers.
  Load and/or save boards in file formats supported by other EDA tools,
  such as KiCAD, Eagle, protel/autotrax, etc.
@@ -263,7 +263,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, 
 	pcb-rnd-core (= ${binary:Version}),
-	librnd3-cloud (>= 3.2.0),
+	librnd4-cloud,
 	pcb-rnd-export (= ${binary:Version}),
 Description: Networking plugins.
  'Cloud' footprint access plugin that integrates edakrill and
